CRAN Package Check Results for Package emil

Last updated on 2019-03-18 17:48:07 CET.

Flavor Version Tinstall Tcheck Ttotal Status Flags
r-devel-linux-x86_64-debian-clang 2.2.10 21.73 93.15 114.88 ERROR
r-devel-linux-x86_64-debian-gcc 2.2.10 15.87 71.09 86.96 ERROR
r-devel-linux-x86_64-fedora-clang 2.2.10 138.58 ERROR
r-devel-linux-x86_64-fedora-gcc 2.2.10 127.73 ERROR
r-devel-windows-ix86+x86_64 2.2.10 55.00 219.00 274.00 ERROR
r-patched-linux-x86_64 2.2.10 18.48 89.23 107.71 OK
r-patched-solaris-x86 2.2.10 178.30 OK
r-release-linux-x86_64 2.2.10 17.26 88.48 105.74 OK
r-release-windows-ix86+x86_64 2.2.10 63.00 152.00 215.00 OK
r-release-osx-x86_64 2.2.10 OK
r-oldrel-windows-ix86+x86_64 2.2.10 50.00 250.00 300.00 OK
r-oldrel-osx-x86_64 2.2.10 OK

Check Details

Version: 2.2.10
Check: whether package can be installed
Result: WARN
    Found the following significant warnings:
     Warning: unable to re-encode 'caret.r' lines 7, 8
     Warning: unable to re-encode 'glmnet.r' line 28
     Warning: unable to re-encode 'modeling.r' line 60
     Warning: unable to re-encode 'randomForest.r' line 13
Flavor: r-devel-linux-x86_64-debian-clang

Version: 2.2.10
Check: tests
Result: ERROR
     Running 'testthat.R' [15s/19s]
    Running the tests in 'tests/testthat.R' failed.
    Complete output:
     > if (packageVersion("testthat") >= "0.9.1") {
     + library(testthat)
     + test_check("emil")
     + }
     Loading required package: emil
    
     Attaching package: 'emil'
    
     The following object is masked from 'package:base':
    
     mode
    
     -- 1. Failure: k-NN imputation (@test-preprocess.r#30) ------------------------
     sets$test$x[na.ind] not equivalent to ifelse(na.ind[, 2] <= 3, 5, 4.5).
     3/10 mismatches (average diff: 0.5)
     [5] 5 - 4.5 == 0.5
     [7] 5 - 4.5 == 0.5
     [10] 5 - 4.5 == 0.5
    
     == testthat results ===========================================================
     OK: 183 SKIPPED: 1 FAILED: 1
     1. Failure: k-NN imputation (@test-preprocess.r#30)
    
     Error: testthat unit tests failed
     Execution halted
Flavor: r-devel-linux-x86_64-debian-clang

Version: 2.2.10
Check: tests
Result: ERROR
     Running ‘testthat.R’ [11s/20s]
    Running the tests in ‘tests/testthat.R’ failed.
    Complete output:
     > if (packageVersion("testthat") >= "0.9.1") {
     + library(testthat)
     + test_check("emil")
     + }
     Loading required package: emil
    
     Attaching package: 'emil'
    
     The following object is masked from 'package:base':
    
     mode
    
     ── 1. Failure: k-NN imputation (@test-preprocess.r#30) ────────────────────────
     sets$test$x[na.ind] not equivalent to ifelse(na.ind[, 2] <= 3, 5, 4.5).
     3/10 mismatches (average diff: 0.5)
     [5] 5 - 4.5 == 0.5
     [7] 5 - 4.5 == 0.5
     [10] 5 - 4.5 == 0.5
    
     ══ testthat results ═══════════════════════════════════════════════════════════
     OK: 183 SKIPPED: 1 FAILED: 1
     1. Failure: k-NN imputation (@test-preprocess.r#30)
    
     Error: testthat unit tests failed
     Execution halted
Flavor: r-devel-linux-x86_64-debian-gcc

Version: 2.2.10
Check: tests
Result: ERROR
     Running ‘testthat.R’ [16s/23s]
    Running the tests in ‘tests/testthat.R’ failed.
    Complete output:
     > if (packageVersion("testthat") >= "0.9.1") {
     + library(testthat)
     + test_check("emil")
     + }
     Loading required package: emil
    
     Attaching package: 'emil'
    
     The following object is masked from 'package:base':
    
     mode
    
     ── 1. Failure: k-NN imputation (@test-preprocess.r#30) ────────────────────────
     sets$test$x[na.ind] not equivalent to ifelse(na.ind[, 2] <= 3, 5, 4.5).
     3/10 mismatches (average diff: 0.5)
     [5] 5 - 4.5 == 0.5
     [7] 5 - 4.5 == 0.5
     [10] 5 - 4.5 == 0.5
    
     ══ testthat results ═══════════════════════════════════════════════════════════
     OK: 183 SKIPPED: 1 FAILED: 1
     1. Failure: k-NN imputation (@test-preprocess.r#30)
    
     Error: testthat unit tests failed
     Execution halted
Flavor: r-devel-linux-x86_64-fedora-clang

Version: 2.2.10
Check: tests
Result: ERROR
     Running ‘testthat.R’ [15s/20s]
    Running the tests in ‘tests/testthat.R’ failed.
    Complete output:
     > if (packageVersion("testthat") >= "0.9.1") {
     + library(testthat)
     + test_check("emil")
     + }
     Loading required package: emil
    
     Attaching package: 'emil'
    
     The following object is masked from 'package:base':
    
     mode
    
     ── 1. Failure: k-NN imputation (@test-preprocess.r#30) ────────────────────────
     sets$test$x[na.ind] not equivalent to ifelse(na.ind[, 2] <= 3, 5, 4.5).
     3/10 mismatches (average diff: 0.5)
     [5] 5 - 4.5 == 0.5
     [7] 5 - 4.5 == 0.5
     [10] 5 - 4.5 == 0.5
    
     ══ testthat results ═══════════════════════════════════════════════════════════
     OK: 183 SKIPPED: 1 FAILED: 1
     1. Failure: k-NN imputation (@test-preprocess.r#30)
    
     Error: testthat unit tests failed
     Execution halted
Flavor: r-devel-linux-x86_64-fedora-gcc

Version: 2.2.10
Check: running tests for arch ‘i386’
Result: ERROR
     Running 'testthat.R' [17s]
    Running the tests in 'tests/testthat.R' failed.
    Complete output:
     > if (packageVersion("testthat") >= "0.9.1") {
     + library(testthat)
     + test_check("emil")
     + }
     Loading required package: emil
    
     Attaching package: 'emil'
    
     The following object is masked from 'package:base':
    
     mode
    
     -- 1. Failure: k-NN imputation (@test-preprocess.r#30) ------------------------
     sets$test$x[na.ind] not equivalent to ifelse(na.ind[, 2] <= 3, 5, 4.5).
     3/10 mismatches (average diff: 0.5)
     [5] 5 - 4.5 == 0.5
     [7] 5 - 4.5 == 0.5
     [10] 5 - 4.5 == 0.5
    
     == testthat results ===========================================================
     OK: 179 SKIPPED: 1 FAILED: 1
     1. Failure: k-NN imputation (@test-preprocess.r#30)
    
     Error: testthat unit tests failed
     Execution halted
Flavor: r-devel-windows-ix86+x86_64

Version: 2.2.10
Check: running tests for arch ‘x64’
Result: ERROR
     Running 'testthat.R' [17s]
    Running the tests in 'tests/testthat.R' failed.
    Complete output:
     > if (packageVersion("testthat") >= "0.9.1") {
     + library(testthat)
     + test_check("emil")
     + }
     Loading required package: emil
    
     Attaching package: 'emil'
    
     The following object is masked from 'package:base':
    
     mode
    
     -- 1. Failure: k-NN imputation (@test-preprocess.r#30) ------------------------
     sets$test$x[na.ind] not equivalent to ifelse(na.ind[, 2] <= 3, 5, 4.5).
     3/10 mismatches (average diff: 0.5)
     [5] 5 - 4.5 == 0.5
     [7] 5 - 4.5 == 0.5
     [10] 5 - 4.5 == 0.5
    
     == testthat results ===========================================================
     OK: 179 SKIPPED: 1 FAILED: 1
     1. Failure: k-NN imputation (@test-preprocess.r#30)
    
     Error: testthat unit tests failed
     Execution halted
Flavor: r-devel-windows-ix86+x86_64